
/*-------------------------------*/
/*         Hambuger Menu         */
/*-------------------------------*/
.nav .open > a,
.nav .open > a:hover,
.nav .open > a:focus {
    background-color: transparent;
}
#menu-sidebar-menu {padding-left: 0;}
/* Wrappers */

#wrapper {
    margin-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
#sidebar-wrapper {
    position: fixed;
    z-index: 10000;
    top: 0;
    left: auto;
    right: 0;
    width: 0;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    background: #1a1a1a;
    border-top: 7px solid #f47920;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.admin-bar #sidebar-wrapper {top: 32px;}
#sidebar-wrapper::-webkit-scrollbar {
    display: none;
}
#wrapper.toggled #sidebar-wrapper {
    width: 350px;
}

/* Sidebar nav styles */
.logo-sidebar {display: block; margin: 13px auto 0; width: 160px;}
.sidebar-menu {
    position: absolute;
    top: 0;
    width: 350px;
    margin: 0;
    padding: 0;
    list-style: none;
}
.sidebar-menu li {
    position: relative;
    line-height: 20px;
    display: inline-block;
    width: 100%;
}
.sidebar-menu li:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    height: 100%;
    width: 0;
    background-color: #1c1c1c;
    -webkit-transition: width 0.2s ease-in;
    -moz-transition: width 0.2s ease-in;
    -ms-transition: width 0.2s ease-in;
    transition: width 0.2s ease-in;
}
.sidebar-menu li:before {
    background-color: #747474;
}
.sidebar-menu li:hover:before,
.sidebar-menu li.open:hover:before {
    width: 100%;
    -webkit-transition: width 0.2s ease-in;
    -moz-transition: width 0.2s ease-in;
    -ms-transition: width 0.2s ease-in;
    transition: width 0.2s ease-in;
}
.sidebar-menu li a {
    padding: 13px 15px 13px 30px;
    display: block;
    color: #ddd;
    font-size: 17px;
    text-decoration: none;
    text-transform: uppercase;
}
.sidebar-menu li a:hover,
.sidebar-menu li a:active,
.sidebar-menu li a:focus,
.sidebar-menu li.open a:hover,
.sidebar-menu li.open a:active,
.sidebar-menu li.open a:focus {
    color: #fff;
    text-decoration: none;
    background-color: transparent;
}
.sidebar-menu > .sidebar-brand {
    height: 65px;
    font-size: 20px;
    line-height: 44px;
}
.sidebar-menu .dropdown-menu {
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
    border-radius: 0;
    border: none;
    background-color: #222;
    box-shadow: none;
}
/*-------------------------------*/
/*       Hamburger-Cross         */
/*-------------------------------*/
.hamburger {
    position: fixed;
    top: 33px;
    left: auto;
    right: 71px;
    z-index: 10000;
    display: block;
    width: 50px;
    height: 42px;
    background: none;
    border: none;
    cursor: pointer;
}
.admin-bar .hamburger {top: 64px;}

header.small .hamburger {top: 17px;}
.admin-bar header.small .hamburger {top: 46px;}

.hamburger:hover,
.hamburger:focus,
.hamburger:active {
    outline: none;
}
.hamburger.is-closed,
.hamburger.is-open {
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.hamburger.is-closed:before {
    content: '';
    display: block;
    width: 100px;
    font-size: 14px;
    color: #fff;
    line-height: 32px;
    text-align: center;
    opacity: 0;
    -webkit-transform: translate3d(0,0,0);
    -moz-transform: translate3d(0,0,0);
    -ms-transform: translate3d(0,0,0);
    -o-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
    -webkit-transition: all 0.35s ease-in-out;
    -moz-transition: all 0.35s ease-in-out;
    -ms-transition: all 0.35s ease-in-out;
    -o-transition: all 0.35s ease-in-out;
    transition: all 0.35s ease-in-out;
}
.hamburger.is-closed:hover:before {
    opacity: 1;
    display: block;
    -webkit-transform: translate3d(-100px,0,0);
    -moz-transform: translate3d(-100px,0,0);
    -ms-transform: translate3d(-100px,0,0);
    -o-transform: translate3d(-100px,0,0);
    transform: translate3d(-100px,0,0);
    -webkit-transition: all 0.35s ease-in-out;
    -moz-transition: all 0.35s ease-in-out;
    -ms-transition: all 0.35s ease-in-out;
    -o-transition: all 0.35s ease-in-out;
    transition: all 0.35s ease-in-out;
}
.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom,
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
    position: absolute;
    left: 0;
    height: 2px;
    width: 36px;
    margin-left: 8px;
}
.hamburger.is-closed .hamb-top,
.hamburger.is-closed .hamb-middle,
.hamburger.is-closed .hamb-bottom {
    background-color: #f47920;
}
.darkheader .hamburger.is-closed .hamb-top,
.darkheader .hamburger.is-closed .hamb-middle,
.darkheader .hamburger.is-closed .hamb-bottom {
    background-color: #fff;
}
.page-id-18 .darkheader .hamburger.is-closed .hamb-top,
.page-id-18 .darkheader .hamburger.is-closed .hamb-middle,
.page-id-18 .darkheader .hamburger.is-closed .hamb-bottom {
    background-color: #f47920;
}
.single-post .darkheader .hamburger.is-closed .hamb-top,
.single-post .darkheader .hamburger.is-closed .hamb-middle,
.single-post .darkheader .hamburger.is-closed .hamb-bottom {
    background-color: #f47920;
}



.hamburger.is-closed .hamb-top {
    top: 12px;
    -webkit-transition: all 0.35s ease-in-out;
}
/*.hamburger.is-closed .hamb-middle {
    top: 48%;
    margin-top: -2px;
}*/
.hamburger.is-closed .hamb-bottom {
    bottom: 10px;
    -webkit-transition: all 0.35s ease-in-out;
}
.hamburger.is-open {
    left: auto;
    right: 350px;
}
.hamburger.is-open {top: 0; background: #f47920;}
header.small .hamburger.is-open {top: 0;}
.admin-bar .hamburger.is-open {top: 32px;}
.admin-bar header.small .hamburger.is-open {top: 32px;}
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-middle,
.hamburger.is-open .hamb-bottom {
    background-color: #fff;
}
.hamburger.is-open .hamb-top,
.hamburger.is-open .hamb-bottom {
    top: 50%;
    margin-top: -2px;
}
.hamburger.is-open .hamb-top {
    -webkit-transform: rotate(45deg);
    -webkit-transition: -webkit-transform 0.2s cubic-bezier(.73,1,.28,.08);
}
.hamburger.is-open .hamb-middle {
    display: none;
}
.hamburger.is-open .hamb-bottom {
    -webkit-transform: rotate(-45deg);
    -webkit-transition: -webkit-transform 0.2s cubic-bezier(.73,1,.28,.08);
}
.hamburger.is-open:before {
    content: '';
    display: block;
    width: 100px;
    font-size: 14px;
    color: #fff;
    line-height: 32px;
    text-align: center;
    opacity: 0;
    -webkit-transform: translate3d(0,0,0);
    -webkit-transition: all 0.35s ease-in-out;
}
.hamburger.is-open:hover:before {
    opacity: 1;
    display: block;
    -webkit-transform: translate3d(-100px,0,0);
    -webkit-transition: all 0.35s ease-in-out;
}

